function [param] = setopt(param,varargin)

args = fieldnames(param);

if (rem(length(varargin), 2) == 1)
  error('Optional parameters should always go by pairs');
else
  for i = 1:2:(length(varargin) - 1)
    if any(strcmp(args,varargin{i}))
      param = setfield(param, varargin{i}, varargin{i+1});
    else
      error('Unkonwn argument');
    end
  end
end